> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.solvimon.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.solvimon.com/_mcp/server.

# Delete a payment acceptor

DELETE https://test.api.solvimon.com/v{version}/payment-acceptors/{resourceId}

Requires the PAYMENT_ACCEPTOR.DELETE permission.

Reference: https://docs.solvimon.com/api-docs/configuration-api/payment-acceptors/delete-payment-acceptors-by-resource-id

## Authentication

- `X-API-KEY` header (required) — API Key authentication via header
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://test.api.solvimon.com` (The TEST environment for our API, default)
- `https://api.solvimon.com` (The live environment for our API)

## Request

### Path parameters

- `version` (string, required, default: 1) — version
- `resourceId` (string, required, default: ) — The ID of the resource to be requested.

### Headers

- `x-platform-id` (string, optional) — Platform ID.

## Response

### 200

OK

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `billing_entity_id` (string, optional, nullable) — Resource ID of type BILLING_ENTITY
- `customer_id` (string, optional, nullable) — Resource ID of type CUSTOMER
- `reference` (string, optional)
- `name` (string, optional, nullable)
- `description` (string, optional, nullable)
- `type` (enum, optional, nullable)
  - Allowed values: `BANK_ACCOUNT`, `PAYMENT_GATEWAY`, `CUSTOM_REDIRECT`
- `bank_account` (BankAccount, optional)
- `payment_gateway` (PaymentGatewayPaymentAcceptor, optional)
- `custom_redirect` (PaymentAcceptorCustomRedirect, optional)
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`

## Errors

### 400 Bad Request Error

Bad Request

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 401 Unauthorized Error

Unauthorized

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 403 Forbidden Error

Forbidden

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 500 Internal Server Error

Internal Server Error

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

## Types

### BankAccount

- `type` (enum, optional, nullable) — Determines what fields should be present in the bank account node.
  - Allowed values: `IBAN`, `BIC_AND_ACCOUNT_NUMBER`, `ACCOUNT_NUMBER_AND_BIC`, `US_BANK_ACCOUNT`, `US_LOCAL`, `UK_LOCAL`, `BR_LOCAL`, `AR_LOCAL`, `MX_LOCAL`
- `iban` (string, optional, nullable)
- `country` (string, optional, nullable)
- `bic` (string, optional, nullable) — The ISO 9362 Business Identifier Code (BIC) of the bank account
- `bank_name` (string, optional, nullable)
- `bank_address` (Address, optional) — The bank address
- `account_number_and_bic` (AccountNumberAndBic, optional)
- `uk_local` (UKLocal, optional)
- `us_local` (USLocal, optional)
- `br_local` (BRLocal, optional)
- `ar_local` (ARLocal, optional)
- `mx_local` (MXLocal, optional)
- `account_number` (string, optional, nullable, deprecated) — A bank account number if IBAN is not used, e.g a USA or UK bank account number
- `bank_code` (string, optional, nullable, deprecated) — A bank code that's used to identify the bank that this account belongs to
- `routing_number` (string, optional, nullable, deprecated) — The 9-digit code that identifies a specific financial institution for transactions in the USA.
- `account_type` (enum, optional, nullable, deprecated) — The bank account type.
  - Allowed values: `CHECKING`, `SAVINGS`

### PaymentGatewayPaymentAcceptor

- `integration_id` (string, optional) — Resource ID of type INTEGRATION
- `integration` (Integration, optional, nullable)
- `store_payment_method` (boolean, optional, nullable)
- `auto_charge_payment_method` (boolean, optional, nullable)
- `collection_type` (enum, optional)
  - Allowed values: `LINK`
- `link` (PaymentGatewayPaymentAcceptorLink, optional)
- `adyen` (PaymentGatewayPaymentAcceptorAdyen, optional)

### PaymentAcceptorCustomRedirect

- `url` (string, optional, nullable)

### Address

- `line1` (string, optional, nullable)
- `line2` (string, optional, nullable)
- `city` (string, optional, nullable)
- `postal_code` (string, optional, nullable)
- `state` (string, optional, nullable)
- `country` (enum, optional, nullable)
  - Allowed values: `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PS`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`

### AccountNumberAndBic

- `account_number` (string, optional, nullable) — A bank account number if IBAN is not used, e.g a USA or UK bank account number
- `bank_code` (string, optional, nullable) — A bank code that's used to identify the bank that this account belongs to
- `bic` (string, optional, nullable) — The ISO 9362 Business Identifier Code (BIC) of the bank account

### UKLocal

- `account_number` (string, optional, nullable) — A bank account number if IBAN is not used, e.g a USA or UK bank account number
- `sort_code` (string, optional, nullable)

### USLocal

- `account_number` (string, optional, nullable) — A bank account number if IBAN is not used, e.g a USA or UK bank account number
- `account_type` (enum, optional, nullable) — The bank account type.
  - Allowed values: `CHECKING`, `SAVINGS`
- `bank_code` (string, optional, nullable) — A bank code that's used to identify the bank that this account belongs to
- `routing_number` (string, optional, nullable) — The 9-digit code that identifies a specific financial institution for transactions in the USA.

### BRLocal

- `branch` (string, optional, nullable) — Identifier of the bank branch (agência)
- `account_number` (string, optional, nullable) — A bank account number if IBAN is not used, in Brazil known as a conta
- `bic` (string, optional, nullable) — The ISO 9362 Business Identifier Code (BIC) of the bank account

### ARLocal

- `cbu` (string, optional, nullable) — CBU (Clave Bancaria Uniforme) account identifier
- `account_number` (string, optional, nullable) — A bank account number if IBAN is not used
- `bic` (string, optional, nullable) — The ISO 9362 Business Identifier Code (BIC) of the bank account

### MXLocal

- `clabe` (string, optional, nullable) — CLABE (Clave Bancaria Estandarizada) account identifier
- `account_number` (string, optional, nullable) — A bank account number if IBAN is not used
- `bic` (string, optional, nullable) — The ISO 9362 Business Identifier Code (BIC) of the bank account

### Integration

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `reference` (string, optional) — A custom reference assigned to the integration.
- `name` (string, optional) — A custom name assigned to the integration.
- `description` (string, optional)
- `status` (enum, optional, nullable) — The status of the integration.
  - Allowed values: `DRAFT`, `PENDING`, `TESTING`, `ACTIVE`, `ERROR`, `DEPRECATED`, `ARCHIVED`
- `message` (string, optional, nullable) — The message associated with the status of the integration.
- `type` (enum, optional) — The type of integration.
  - Allowed values: `PAYMENT_GATEWAY`, `E_INVOICING`, `TAX_CALCULATION`, `DATA_EXPORT`, `EMAIL_PROVIDER`, `ERP`
- `variant` (enum, optional) — The variant of the integration.
  - Allowed values: `DEFAULT`, `PARAGON_MULTI_ACCOUNT`
- `paragon_settings` (ParagonSettings, optional) — Paragon integration settings, e.g. the Paragon credential id. Applicable when the variant is PARAGON_MULTI_ACCOUNT.
- `authentication` (AuthenticationSettings, optional) — The authentication information used for the integration
- `payment_gateway` (PaymentGatewayIntegration, optional)
- `e_invoicing` (EInvoicingIntegration, optional) — Integration to do eInvoicing
- `data_export` (DataExportIntegration, optional)
- `tax_calculation` (TaxCalculationIntegration, optional) — Integration to calculate tax
- `linked_resources_configurations` (list of IntegrationLinkedResourceConfiguration, optional) — Details from the resources configurations from Solvimon linked to external integration system
- `email_provider` (EmailProviderIntegration, optional) — Email provider integration settings. Applicable when the integration type is EMAIL_PROVIDER.
- `erp` (ErpIntegration, optional) — ERP integration settings. Applicable when the integration type is ERP.

### PaymentGatewayPaymentAcceptorLink

- `expiry_period` (Period, optional)

### PaymentGatewayPaymentAcceptorAdyen

- `auto_rescue` (AdyenAutoRescue, optional)
- `merchant_account` (string, optional, nullable)
- `allowed_payment_methods` (list of string, optional, nullable) — The Adyen payment method types allowed for this payment acceptor. Must be a subset of the integration's enabled_payment_methods, when enabled_payment_methods is set.

### ParagonSettings

- `paragon_external_id` (string, optional, nullable) — The external id of the integration in the third-party system, e.g. the Paragon credential id.

### AuthenticationSettings

- `api_key` (AuthenticationSettingsApiKey, optional)
- `client_credentials` (ClientCredentials, optional)
- `username_password` (UsernamePassword, optional)

### PaymentGatewayIntegration

- `variant` (enum, optional) — The variant of payment integration.
  - Allowed values: `ADYEN`, `STRIPE`
- `adyen` (AdyenPaymentGatewayIntegration, optional)
- `stripe` (StripePaymentGatewayIntegration, optional)

### EInvoicingIntegration

- `mandates` (list of EInvoicingMandate, optional) — The mandates that are used for eInvoicing
- `processor` (enum, optional)
  - Allowed values: `AVALARA`

### DataExportIntegration

- `variant` (enum, optional) — The variant of payment integration.
  - Allowed values: `S3`, `BIGQUERY`, `GCS`, `SNOWFLAKE`
- `s3` (S3, optional)
- `bigquery` (BigQuery, optional)
- `gcs` (Gcs, optional)
- `snowflake` (Snowflake, optional)
- `transport_type` (string, optional, nullable)

### TaxCalculationIntegration

- `billing_entity_id` (string, optional) — The id of the billing entity for which this integration is used
- `variant` (enum, optional) — The variant that provides the tax calculation
  - Allowed values: `AVATAX`
- `ava_tax` (AvaTaxCalculationIntegration, optional) — Details for an AvaTax integration
- `custom_tax_codes` (list of CustomTaxCode, optional) — Optional: custom codes that are used to link specific taxes to the tax calculation (e.g. commitments, missing product codes, etc.)
- `enable_tax_filing` (boolean, optional) — Determines whether invoices will be sent to the tax integration, or just calculations

### IntegrationLinkedResourceConfiguration

- `resource_type` (string, optional)
- `link_details` (list of IntegrationLinkDetail, optional)

### EmailProviderIntegration

- `variant` (enum, optional) — The variant of email provider integration.
  - Allowed values: `SYSTEM`, `MAILGUN`
- `mailgun` (MailgunEmailProvider, optional) — Mailgun-specific provider settings. Applicable when variant is MAILGUN.
- `delivery_window` (Period, optional) — Optional delivery window configuration that limits when outbound emails may be sent.

### ErpIntegration

- `variant` (enum, optional)
  - Allowed values: `XERO`

### Period

- `type` (enum, optional)
  - Allowed values: `DAY`, `WEEK`, `MONTH`, `YEAR`
- `value` (integer, optional, nullable)

### AdyenAutoRescue

- `enabled` (boolean, optional, nullable)
- `period` (Period, optional)

### AuthenticationSettingsApiKey

- `header` (string, optional, nullable)
- `value` (string, optional, nullable)

### ClientCredentials

- `client_id` (string, optional)
- `client_secret` (string, optional)

### UsernamePassword

- `username` (string, optional)
- `password` (string, optional)

### AdyenPaymentGatewayIntegration

- `company_account` (string, optional)
- `environment` (enum, optional)
  - Allowed values: `LIVE`, `TEST`
- `live_prefix` (string, optional)
- `merchant_accounts` (list of string, optional)
- `public_key` (string, optional)
- `signing_secret` (string, optional)
- `ownership` (enum, optional)
  - Allowed values: `PLATFORM`, `SYSTEM`
- `system_ownership_details` (SystemOwnershipDetails, optional)
- `balance_platform_details` (BalancePlatformDetails, optional)
- `legal_entity_manager_details` (LegalEntityManagerDetails, optional)
- `enabled_payment_methods` (list of string, optional, nullable) — The Adyen payment method types enabled for this integration.

### StripePaymentGatewayIntegration

- `public_key` (string, optional)
- `signing_secret` (string, optional, nullable)

### EInvoicingMandate

- `name` (string, optional) — The name of the mandate
- `country` (string, optional, nullable) — The country that this mandate belongs to
- `mappings` (list of EInvoicingMapping, optional, nullable) — The mappings that are used for this Mandate. If not provided, all mappings will be default. If provided, will be merged with defaults
- `condition_groups` (list of EInvoicingConditionGroup, optional, nullable) — The condition groups that are used for this mandate. If provided, no defaults will be used. The mandate applies if 1 conditionGroup applies
- `include_pdf_in_einvoice` (boolean, optional, nullable) — Whether the PDF should be included in the submitted eInvoice payload when supported
- `supported_file_formats` (list of EInvoiceFileFormat, optional, nullable) — The file formats in which eInvoices for this mandate can be downloaded

### S3

- `bucket_name` (string, optional)
- `bucket_path` (string, optional)
- `bucket_region` (string, optional)
- `authentication_type` (enum, optional, nullable)
  - Allowed values: `ACCESS_KEY_AND_SECRET`, `IAM_ROLE`
- `role_arn` (string, optional, nullable)
- `external_id` (string, optional, nullable)

### BigQuery

- `project_id` (string, optional)
- `dataset_id` (string, optional)
- `dataset_location` (string, optional)
- `gcs_bucket_name` (string, optional)
- `gcs_hmac_key_access_id` (string, optional)
- `gcs_hmac_key_secret` (string, optional)

### Gcs

- `bucket_region` (string, optional)
- `bucket_name` (string, optional)
- `bucket_path` (string, optional)
- `flattening` (boolean, optional)

### Snowflake

- `host` (string, optional, nullable)
- `role` (string, optional, nullable)
- `warehouse` (string, optional, nullable)
- `database` (string, optional, nullable)
- `schema` (string, optional, nullable)

### AvaTaxCalculationIntegration

- `company_code` (string, optional) — Links a billing entity to a company in AvaTax

### CustomTaxCode

- `field` (enum, optional) — The field to use a custom code for
  - Allowed values: `INVOICE_COMMITMENT`, `PRODUCT_FALLBACK`
- `value` (string, optional)

### IntegrationLinkDetail

- `base_url` (string, optional)
- `custom_field_reference` (string, optional)

### MailgunEmailProvider

- `domain` (string, optional) — Mailgun sending domain used for this email provider integration.
- `region` (enum, optional, nullable) — Mailgun region for the configured domain.
  - Allowed values: `US`, `EU`
- `plan` (string, optional, nullable) — Optional Mailgun plan stored with the integration.

### SystemOwnershipDetails

- `account_holder_id` (string, optional)
- `balance_account_id` (string, optional)
- `legal_entity_id` (string, optional)
- `store_id` (string, optional)

### BalancePlatformDetails

- `account` (string, optional)
- `authentication` (AuthenticationSettings, optional)

### LegalEntityManagerDetails

- `authentication` (AuthenticationSettings, optional)

### EInvoicingMapping

- `target` (string, optional) — The target field for a UBL Invoice
- `source` (string, optional, nullable) — The source field from a Solvimon Invoice
- `description` (string, optional, nullable) — Optional description for the mapping

### EInvoicingConditionGroup

- `conditions` (list of EInvoicingCondition, optional) — Conditions that determine whether this conditionGroup matches the invoice. All conditions need to match for the group to match

### EInvoiceFileFormat

- `type` (string, optional, nullable) — The format of the eInvoice that can be downloaded
- `description` (string, optional, nullable)

### EInvoicingCondition

- `field` (string, optional) — The field that holds the value to compare against
- `comparator_type` (enum, optional)
  - Allowed values: `EQUALS`, `NOT_EQUALS`, `IN`, `NOT_IN`, `GREATER_THAN`, `GREATER_THAN_OR_EQUALS`, `LESS_THAN`, `LESS_THAN_OR_EQUALS`, `EMPTY`, `NOT_EMPTY`, `CONTAINS`, `NOT_CONTAINS`
- `value` (string, optional) — Value to check the field against. If a Comparator such as 'IN' or 'CONTAINS' is used, this can be a comma separated list of values

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "object_type": "payment_acceptor",
  "id": "pa_9f8e7d6c5b4a3210fedcba9876543210",
  "billing_entity_id": "be_1a2b3c4d5e6f7890abcdef1234567890",
  "customer_id": "cust_3f4e5d6c7b8a9012bcdef1234567890ab",
  "reference": "PA-2024-00142",
  "name": "Primary Payment Acceptor",
  "description": "Main payment acceptor for enterprise customers",
  "type": "BANK_ACCOUNT",
  "bank_account": {
    "type": "IBAN",
    "iban": "DE89370400440532013000",
    "country": "DE",
    "bic": "COBADEFFXXX",
    "bank_name": "Commerzbank AG",
    "bank_address": {
      "line1": "Kaiserplatz 1",
      "line2": "Floor 3",
      "city": "Frankfurt am Main",
      "postal_code": "60311",
      "state": "Hesse",
      "country": "DE"
    },
    "account_number_and_bic": {
      "account_number": "0532013000",
      "bank_code": "37040044",
      "bic": "COBADEFFXXX"
    },
    "uk_local": {
      "account_number": "12345678",
      "sort_code": "20-00-00"
    },
    "us_local": {
      "account_number": "000123456789",
      "account_type": "CHECKING",
      "bank_code": "021000021",
      "routing_number": "021000021"
    },
    "br_local": {
      "branch": "0001",
      "account_number": "12345678-9",
      "bic": "BRASBRRJBHE"
    },
    "ar_local": {
      "cbu": "0720461288000004680752",
      "account_number": "4680752",
      "bic": "BSUIARARXXX"
    },
    "mx_local": {
      "clabe": "032180000118359719",
      "account_number": "0118359719",
      "bic": "BCMRMXMMXXX"
    },
    "account_number": "0532013000",
    "bank_code": "37040044",
    "routing_number": "021000021",
    "account_type": "CHECKING"
  },
  "payment_gateway": {
    "integration_id": "intg_7a8b9c0d1e2f3456789abcdef0123456",
    "integration": {
      "object_type": "integration",
      "id": "intg_7a8b9c0d1e2f3456789abcdef0123456",
      "reference": "INTG-ADYEN-PROD-001",
      "name": "Adyen Production Integration",
      "description": "Primary Adyen payment gateway integration for production",
      "status": "ACTIVE",
      "message": "Integration is active and processing payments",
      "type": "PAYMENT_GATEWAY",
      "variant": "DEFAULT",
      "paragon_settings": {
        "paragon_external_id": "ext_paragon_abc123def456"
      },
      "authentication": {
        "api_key": {
          "header": "X-API-Key",
          "value": "AQEmahmqAOsP2l5Q..."
        },
        "client_credentials": {
          "client_id": "client_9f8e7d6c5b4a321098765432",
          "client_secret": "secret_1a2b3c4d5e6f7890abcdef12"
        },
        "username_password": {
          "username": "api_user@company.com",
          "password": "SecureP@ssw0rd!"
        }
      },
      "payment_gateway": {
        "variant": "ADYEN",
        "adyen": {
          "company_account": "CompanyAccountXYZ",
          "environment": "LIVE",
          "live_prefix": "1797a841fbb37ca7-CompanyXYZ",
          "merchant_accounts": [
            "CompanyXYZ_EUR",
            "CompanyXYZ_USD"
          ],
          "public_key": "10001|B3dxou...",
          "signing_secret": "whsec_adyen_signing_secret_abc123",
          "ownership": "PLATFORM",
          "system_ownership_details": {
            "account_holder_id": "AH00000000000000000000001",
            "balance_account_id": "BA00000000000000000000001",
            "legal_entity_id": "LE00000000000000000000001",
            "store_id": "ST00000000000000000000001"
          },
          "balance_platform_details": {
            "account": "BalancePlatformXYZ",
            "authentication": {
              "api_key": {
                "header": "X-API-Key",
                "value": "AQEmahmqAOsP2l5Q..."
              },
              "client_credentials": {
                "client_id": "bp_client_9f8e7d6c5b4a3210",
                "client_secret": "bp_secret_1a2b3c4d5e6f7890"
              },
              "username_password": {
                "username": "bp_user@company.com",
                "password": "BPSecureP@ss!"
              }
            }
          },
          "legal_entity_manager_details": {
            "authentication": {
              "api_key": {
                "header": "X-API-Key",
                "value": "AQEmahmqLEM..."
              },
              "client_credentials": {
                "client_id": "lem_client_abc123def456",
                "client_secret": "lem_secret_xyz789uvw012"
              },
              "username_password": {
                "username": "lem_user@company.com",
                "password": "LEMSecureP@ss!"
              }
            }
          },
          "enabled_payment_methods": [
            "scheme",
            "ideal",
            "sepadirectdebit",
            "paypal"
          ]
        },
        "stripe": {
          "public_key": "pk_live_51ABCDEFghijklmnopqrstuvwx",
          "signing_secret": "whsec_stripe_signing_secret_xyz789"
        }
      },
      "e_invoicing": {
        "mandates": [
          {
            "name": "Italy B2B E-Invoicing Mandate",
            "country": "IT",
            "mappings": [
              {
                "target": "invoice_number",
                "source": "reference",
                "description": "Maps internal reference to invoice number"
              }
            ],
            "condition_groups": [
              {
                "conditions": [
                  {
                    "field": "customer_country",
                    "comparator_type": "EQUALS",
                    "value": "IT"
                  }
                ]
              }
            ],
            "include_pdf_in_einvoice": true,
            "supported_file_formats": [
              {
                "type": "FatturaPA",
                "description": "Italian electronic invoice format"
              }
            ]
          }
        ],
        "processor": "AVALARA"
      },
      "data_export": {
        "variant": "S3",
        "s3": {
          "bucket_name": "company-billing-exports",
          "bucket_path": "invoices/production",
          "bucket_region": "eu-west-1",
          "authentication_type": "ACCESS_KEY_AND_SECRET",
          "role_arn": "arn:aws:iam::123456789012:role/BillingExportRole",
          "external_id": "ext_id_abc123xyz789"
        },
        "bigquery": {
          "project_id": "company-billing-prod",
          "dataset_id": "billing_exports",
          "dataset_location": "EU",
          "gcs_bucket_name": "company-bq-staging",
          "gcs_hmac_key_access_id": "GOOG1EXAMPLEHMACKEYID",
          "gcs_hmac_key_secret": "HmacKeySecretExample1234567890"
        },
        "gcs": {
          "bucket_region": "europe-west1",
          "bucket_name": "company-gcs-exports",
          "bucket_path": "billing/invoices",
          "flattening": true
        },
        "snowflake": {
          "host": "company.eu-west-1.snowflakecomputing.com",
          "role": "BILLING_EXPORT_ROLE",
          "warehouse": "BILLING_WH",
          "database": "BILLING_DB",
          "schema": "INVOICES"
        },
        "transport_type": "BATCH"
      },
      "tax_calculation": {
        "billing_entity_id": "be_1a2b3c4d5e6f7890abcdef1234567890",
        "variant": "AVATAX",
        "ava_tax": {
          "company_code": "COMPANY_XYZ"
        },
        "custom_tax_codes": [
          {
            "field": "INVOICE_COMMITMENT",
            "value": "SW054000"
          }
        ],
        "enable_tax_filing": true
      },
      "linked_resources_configurations": [
        {
          "resource_type": "INVOICE",
          "link_details": [
            {
              "base_url": "https://app.company.com/invoices",
              "custom_field_reference": "external_invoice_id"
            }
          ]
        }
      ],
      "email_provider": {
        "variant": "MAILGUN",
        "mailgun": {
          "domain": "mail.company.com",
          "region": "EU",
          "plan": "Foundation"
        },
        "delivery_window": {
          "type": "DAY",
          "value": 2
        }
      },
      "erp": {
        "variant": "XERO"
      }
    },
    "store_payment_method": true,
    "auto_charge_payment_method": true,
    "collection_type": "LINK",
    "link": {
      "expiry_period": {
        "type": "DAY",
        "value": 7
      }
    },
    "adyen": {
      "auto_rescue": {
        "enabled": true,
        "period": {
          "type": "DAY",
          "value": 3
        }
      },
      "merchant_account": "CompanyXYZ_EUR",
      "allowed_payment_methods": [
        "scheme",
        "ideal",
        "sepadirectdebit"
      ]
    }
  },
  "custom_redirect": {
    "url": "https://app.company.com/payment/confirmation"
  },
  "status": "ACTIVE"
}
```

**SDK Code**

```python
import requests

url = "https://test.api.solvimon.com/v1/payment-acceptors/:resourceId"

payload = {}
headers = {
    "X-API-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://test.api.solvimon.com/v1/payment-acceptors/:resourceId';
const options = {
  method: 'DELETE',
  headers: {'X-API-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://test.api.solvimon.com/v1/payment-acceptors/:resourceId"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("DELETE", url, payload)

	req.Header.Add("X-API-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://test.api.solvimon.com/v1/payment-acceptors/:resourceId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["X-API-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://test.api.solvimon.com/v1/payment-acceptors/:resourceId")
  .header("X-API-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://test.api.solvimon.com/v1/payment-acceptors/:resourceId', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://test.api.solvimon.com/v1/payment-acceptors/:resourceId");
var request = new RestRequest(Method.DELETE);
request.AddHeader("X-API-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://test.api.solvimon.com/v1/payment-acceptors/:resourceId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```